/** MessageLog.java -- Logging interface for Mote CommTests.
 *   Extracted so we can make different behaviors in the ReadThread.
 */
package com.etantdonnes.tinyos;

/**
 * @author schip
 */
@SuppressWarnings("unchecked")
public interface MessageLog
{
	/** initialize and start logging 
	 */
	public void startLog();

	/** stop the log and write any wrapup stuff
	 */
	public void stopLog();

	/** Log a message write (Request)
	 * 
	 * @param msg -- written message
	 */
	public void logWrite( TOS_Msg msg );

	/** Log a message read (Reply)
	 * 
	 * @param msg -- received message
	 */
	public void logRead( TOS_Msg msg );
}