/* TMUPICdata.java --
 *  Integer message for schip's USBPIC type TOS Messages.
 *  Uses all the default impls in TOS_Msg and UPICstub, but
 *  Interprets and Prints message as two byte unsigned decimal values.
 *   printed one per line without excess baggage.
 * 
 * Created on Dec 23, 2011
 * Rewanked on April Fools 2012
 */
package com.etantdonnes.tinyos.UPIC;


public class TMUPICdata extends TMUPICint
{
	// number of 2 byte integer parameters in message
	//private static final int NUMFIELDS = TMheaderUPIC.PAYSIZE/2;
	//  same as in TMUPICint...

	/** Create a message with empty values
	 *    usually for received message wrapper
	 */
	public TMUPICdata()
	{
		super();
	}
	
	/** Create a message with specified type and size
	 * 		for generic send message
	 *  	  group ID default to 0, not used in this impl
	 * @param type	-- user message type
	 * @param len	-- user message payload length
	 */
	public TMUPICdata( int type, int len )
	{
		super( type, len );
	}
	
	/** Set the format of printed lines in toString().
	 *  Also uses getFieldFormat() to find size of each element
	 *   and [un]signed format.
	 */
	/**  @return -- number of elements to print on a line
	 */
	protected int getFieldsPerLine() { return 1; }

	/**  @return -- print conversion base: 10 or 16
	 */
	protected int getPrintBase() { return 10; }
	
	/**  @return -- toString() print class and header if true
	 */
	protected boolean printHeader() { return false; }
	
} // end'o'TMUPICdata
